Appearance
sites-website-sync
2 endpoints.
POST /api/v1/public/sites/activations/website-sync/overview
Overview
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-website-secret | header | no |
Request body
json
{
"properties": {
"site": {
"type": "string",
"title": "Site"
},
"instance": {
"type": "string",
"title": "Site"
}
},
"type": "object",
"required": [
"site"
],
"title": "Ask"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/public/sites/activations/website-sync/run
Run
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-website-secret | header | no |
Request body
json
{
"properties": {
"site": {
"type": "string",
"title": "Site"
},
"connection_id": {
"type": "integer",
"title": "Connection Id"
},
"action": {
"type": "string",
"title": "Action"
},
"by": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "By"
},
"instance": {
"type": "string",
"title": "Site"
}
},
"type": "object",
"required": [
"site",
"connection_id",
"action"
],
"title": "RunAsk"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}